Last Comment Bug 674012 - Remove "check for gcc 3.0 ABI"
: Remove "check for gcc 3.0 ABI"
Status: RESOLVED FIXED
[good first bug]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Felix Fung (:felix)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 12:26 PDT by Mike Hommey [:glandium]
Modified: 2011-09-29 15:49 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove Checks for HAVE_GCC3_ABI (11.29 KB, patch)
2011-09-27 21:48 PDT, Felix Fung (:felix)
mh+mozilla: review+
Details | Diff | Splinter Review
Remove Checks for HAVE_GCC3_ABI (18.95 KB, patch)
2011-09-28 14:00 PDT, Felix Fung (:felix)
no flags Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-07-25 12:26:26 PDT

    
Comment 1 Mike Hommey [:glandium] 2011-07-25 12:27:56 PDT
We probably don't even build with a gcc that doesn't have the gcc3 ABI.
Comment 2 Felix Fung (:felix) 2011-09-27 21:48:24 PDT
Created attachment 562969 [details] [diff] [review]
Remove Checks for HAVE_GCC3_ABI

Removed all uses and checks for HAVE_GCC3_ABI and assumed it to be true throughout.
Comment 3 Mike Hommey [:glandium] 2011-09-28 07:58:34 PDT
Comment on attachment 562969 [details] [diff] [review]
Remove Checks for HAVE_GCC3_ABI

Review of attachment 562969 [details] [diff] [review]:
-----------------------------------------------------------------

::: xpcom/reflect/xptcall/src/md/unix/Makefile.in
@@ -371,3 @@
>  ASFILES		:= xptcinvoke_asm_sparc_linux_GCC3.s xptcstubs_asm_sparc_solaris.s
> -else
> -ASFILES		:= xptcinvoke_asm_sparc_linux.s xptcstubs_asm_sparc_solaris.s

Please remove the file that are not used anymore.

@@ -412,3 @@
>  ASFILES		:= xptcinvoke_asm_sparc_solaris_GCC3.s xptcstubs_asm_sparc_solaris.s
>  else
> -ASFILES		:= xptcinvoke_asm_sparc_solaris_GCC.s xptcstubs_asm_sparc_solaris.s

Likewise.
Comment 4 Felix Fung (:felix) 2011-09-28 14:00:00 PDT
Created attachment 563170 [details] [diff] [review]
Remove Checks for HAVE_GCC3_ABI

Removed xptcinvoke_asm_sparc_linux.s and xptcinvoke_asm_sparc_solaris_GCC.s
Comment 6 :Ehsan Akhgari 2011-09-29 14:30:28 PDT
https://hg.mozilla.org/mozilla-central/rev/47f550b4ef47

I accidentally pushed this patch to mozilla-central while it was living on inbound.  On the next merge, it will be merged.  Sorry for the mess!
Comment 7 :Ehsan Akhgari 2011-09-29 15:49:42 PDT
Merged from inbound: https://hg.mozilla.org/mozilla-central/rev/934fd93abd86

Note You need to log in before you can comment on or make changes to this bug.